> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cnaught.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Subaccount Logo From URL

> Updates the logo for a Subaccount with given id by downloading from given URL. 
The URL should point to a valid image in a supported image format, and should include
the content type for the image in the HTTP response when the image is retrieved from the URL.
Supported image types are: PNG (image/png), JPEG (image/jpeg), WEBP (image/webp), and SVG (image/svg+xml).




## OpenAPI

````yaml api-reference/openapi.yaml post /subaccounts/{id}/logo
openapi: 3.1.0
info:
  title: CNaught Carbon Credits API Documentation
  contact:
    email: support@cnaught.com
    name: CNaught
    url: https://cnaught.com/
  version: v1
  description: |
    Carbon Credits API Documentation
  termsOfService: https://cnaught.com/terms
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.cnaught.com/v1
    description: CNaught API
security:
  - ApiKey: []
tags:
  - name: Orders
    description: Endpoints for placing orders and retrieving information about orders
  - name: Quotes
    description: Endpoints for obtaining price quotes for orders
  - name: Climate Impact
    description: >-
      Endpoints for retrieving climate impact data and hosted public impact page
      configuration
  - name: Subaccounts
    description: Endpoints for creating and retrieving information about subaccounts
paths:
  /subaccounts/{id}/logo:
    parameters:
      - name: id
        in: path
        description: ID of subaccount to modify logo for
        required: true
        schema:
          type: string
          examples:
            - 5nubL0NS
    post:
      tags:
        - Subaccounts
      summary: Update Subaccount Logo From URL
      description: >
        Updates the logo for a Subaccount with given id by downloading from
        given URL. 

        The URL should point to a valid image in a supported image format, and
        should include

        the content type for the image in the HTTP response when the image is
        retrieved from the URL.

        Supported image types are: PNG (image/png), JPEG (image/jpeg), WEBP
        (image/webp), and SVG (image/svg+xml).
      operationId: UpdateSubaccountLogoFromURL
      requestBody:
        description: Subaccount Update Logo From URL Parameters
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubaccountUpdateLogoFromUrlParams'
            examples:
              Example:
                value:
                  logo_url: http://example.com/logo.png
      responses:
        '200':
          description: Subaccount Details after update
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subaccount'
              examples:
                Updated Subaccount:
                  value:
                    id: 5nubL0NS
                    name: Operations Department
                    default_portfolio_id: eWvNvC12
                    logo_url: >-
                      https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    SubaccountUpdateLogoFromUrlParams:
      type: object
      required:
        - logo_url
      properties:
        logo_url:
          type: string
          description: >
            URL for a logo to set for this subaccount. The URL must be public.
            The logo will be downloaded to CNaught's hosting.
    Subaccount:
      type: object
      properties:
        id:
          type: string
          description: Identifier that can be used to retrieve the subaccount details
          examples:
            - 5nubL0NS
        created_on:
          type: string
          description: Timestamp of when the subaccount was created (in UTC)
        name:
          type: string
          description: Name of the subaccount
          maxLength: 512
        email:
          type:
            - string
            - 'null'
          description: Optional email associated with the subaccount.
          examples:
            - jane.doe@example.com
        default_portfolio_id:
          type:
            - string
            - 'null'
          description: >
            Optional ID of the default portfolio used to fulfilling orders
            placed for this subaccount. If not specified,

            the parent account's default portfolio is the default portfolio for
            the subaccount.
          examples:
            - a23bF6
        logo_url:
          type:
            - string
            - 'null'
          description: >
            Optional URL for the logo used for this subaccount, if any. This URL
            is for the logo as stored on CNaught's hosting.
  responses:
    Unauthorized:
      description: Request Unauthorized
      content:
        application/problem+json:
          schema:
            properties:
              title:
                type: string
                description: Short, human-readable summary of the problem type
              status:
                type: integer
                description: HTTP status code of the error
          example:
            title: Authorization has been denied for this request
            status: 401
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer

````